Name:           knapsen
Version:        1.0.1
Release:        3%{?dist}
Summary:        Schnapsen card game for KDE

License:        GPLv3+
URL:            http://kde-apps.org/content/show.php/Knapsen?content=158488
Source0:        http://kde-apps.org/CONTENT/content-files/158488-%{name}-1.0.1.tar.gz
Patch0:         %{name}-desktop.patch

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  kdebase-workspace-devel
BuildRequires:  libkdegames-devel

%description
Schnapsen is the Austrian variant of the German card game Sixty-Six.

%prep
%setup -q
cd src
%patch0 -p1

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ../
popd
make %{?_smp_mflags} -C %{_target_platform}


%install
make install DESTDIR=%{buildroot} -C %{_target_platform}
%find_lang %{name}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/kde4/%{name}.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc COPYING README
%{_kde4_bindir}/%{name}
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_datadir}/config.kcfg/%{name}.kcfg
%{_kde4_datadir}/icons/hicolor/*/apps/%{name}.png
%{_kde4_appsdir}/%{name}/


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Feb 12 2014 Mario Blättermann <mariobl@fedoraproject.org- 1.0.1-1
- New upstream release

* Sat Oct 26 2013 Mario Blättermann <mariobl@fedoraproject.org> 1.0.0-1
- Initial package